Retrieve list of campaigns
The site's campaigns — configuration only, no statistics. Default page size 100.
get
Authorizations
X-Recart-API-KeystringRequired
It can be obtained in Recart account after contacting Support
Query parameters
limitinteger · min: 1 · max: 100OptionalDefault:
Maximum number of campaigns to return
100offsetintegerOptionalDefault:
Number of campaigns to skip, for pagination
0segmentIdstringOptional
Filter to campaigns whose audience includes or excludes this segment ID
scheduledFromstring · date-timeOptional
Filter to campaigns scheduled at or after this time (inclusive)
scheduledTostring · date-timeOptional
Filter to campaigns scheduled at or before this time (inclusive)
Responses
200
Ok
application/vnd.api+json
4XX
HTTP Error response
application/vnd.api+json
5XX
HTTP Error response
application/vnd.api+json
get/campaign-flows
GET /app-integrations/2023-12/campaign-flows HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Accept: */*
{
"data": [
{
"type": "campaigns",
"attributes": {
"id": "66aa11b7825e6ae655fe200",
"name": "Labor Day Sale",
"status": "sent",
"campaignType": "adaptive",
"scheduledFor": "2026-09-01T14:00:00.000Z",
"scheduleType": "siteTimezone",
"sentAt": "2026-09-01T14:03:00.000Z",
"deliveredSubscriberCount": 11840,
"includeSegments": [
{
"id": "655637c97825e6ae655fe300",
"name": "VIP customers"
}
],
"excludeSegments": [],
"isQuietHoursEnabled": true,
"adaptiveTest": {
"adaptiveTestStatus": "complete_with_winner",
"adaptiveTestResult": {
"winnerFlowItemId": "655637c97825e6ae655fe411",
"wasTiebroken": false,
"completedAt": "2026-09-01T18:03:00.000Z"
},
"testVariantsDispatchedAt": "2026-09-01T14:03:00.000Z"
},
"discountUsage": [
{
"id": "655637c97825e6ae655fe310",
"referenceCount": 2
}
],
"discountCodePoolUsage": [
{
"id": "655637c97825e6ae655fe320",
"referenceCount": 1
}
],
"createdAt": "2026-08-01T09:00:00.000Z",
"updatedAt": "2026-09-01T18:03:00.000Z"
}
}
]
}Last updated
Was this helpful?